Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List customer needs

GET/workspaces/{organizationId}/customer-needs
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
customerIdstring
issueIdstring
projectIdstring
Responses
200

Customer needs

needsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
customerIdstringrequired
issueIdstring | nullrequired
projectIdstring | nullrequired
prioritystring | nullrequired
notestring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/customer-needs' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "needs": [
    {
      "id": "string",
      "organizationId": "string",
      "customerId": "string",
      "issueId": "string",
      "projectId": "string",
      "priority": "string",
      "note": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?